[arch-commits] Commit in python-novaclient/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Mar 8 13:57:45 UTC 2019


    Date: Friday, March 8, 2019 @ 13:57:45
  Author: felixonmars
Revision: 438070

archrelease: copy trunk to community-any

Added:
  python-novaclient/repos/community-any/PKGBUILD
    (from rev 438069, python-novaclient/trunk/PKGBUILD)
Deleted:
  python-novaclient/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  130 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 65 insertions(+), 65 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-08 13:57:23 UTC (rev 438069)
+++ PKGBUILD	2019-03-08 13:57:45 UTC (rev 438070)
@@ -1,65 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgbase=python-novaclient
-pkgname=(python-novaclient python2-novaclient)
-pkgver=12.0.0
-pkgrel=1
-pkgdesc="Client library for OpenStack Compute API"
-arch=('any')
-url="https://docs.openstack.org/python-novaclient/latest/"
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-babel'
-             'python2-babel' 'python-prettytable' 'python2-prettytable' 'python-keystoneauth1'
-             'python2-keystoneauth1' 'python-requests' 'python2-requests' 'python-iso8601'
-             'python2-iso8601' 'python-oslo-utils' 'python2-oslo-utils' 'python-oslo-i18n'
-             'python2-oslo-i18n' 'python-oslo-serialization' 'python2-oslo-serialization')
-checkdepends=('python-oslotest' 'python2-oslotest' 'python-requests-mock' 'python2-requests-mock'
-              'python-ddt' 'python2-ddt')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/python-novaclient/archive/$pkgver.tar.gz")
-sha512sums=('66bfb16bbc0e7ffe4acecb87732e0e99bd40b637bbd25448199c223578b853775352553487744e010892191e0d7e58bd662c9ba126e1d5473b77375b4afee8e9')
-
-export PBR_VERSION=$pkgver
-
-prepare() {
-  sed -i '/simplejson/d' python-novaclient-$pkgver/requirements.txt
-  cp -a python-novaclient-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/python-novaclient-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/python-novaclient-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/python-novaclient-$pkgver
-  stestr run || warning "Tests failed"
-
-  cd "$srcdir"/python-novaclient-$pkgver-py2
-  PYTHON=python2 stestr2 run || warning "Tests failed"
-}
-
-package_python-novaclient() {
-  depends=('python-six' 'python-pbr' 'python-babel' 'python-prettytable' 'python-keystoneauth1'
-           'python-requests' 'python-iso8601' 'python-oslo-utils' 'python-oslo-i18n'
-           'python-oslo-serialization')
-
-  cd "$srcdir"/python-novaclient-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-novaclient() {
-  depends=('python2-six' 'python2-pbr' 'python2-babel' 'python2-prettytable' 'python2-keystoneauth1'
-           'python2-requests' 'python2-iso8601' 'python2-oslo-utils' 'python2-oslo-i18n'
-           'python2-oslo-serialization')
-
-  cd "$srcdir"/python-novaclient-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  mv "$pkgdir"/usr/bin/nova{,2}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-novaclient/repos/community-any/PKGBUILD (from rev 438069, python-novaclient/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-08 13:57:45 UTC (rev 438070)
@@ -0,0 +1,65 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgbase=python-novaclient
+pkgname=(python-novaclient python2-novaclient)
+pkgver=13.0.0
+pkgrel=1
+pkgdesc="Client library for OpenStack Compute API"
+arch=('any')
+url="https://docs.openstack.org/python-novaclient/latest/"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-babel'
+             'python2-babel' 'python-prettytable' 'python2-prettytable' 'python-keystoneauth1'
+             'python2-keystoneauth1' 'python-requests' 'python2-requests' 'python-iso8601'
+             'python2-iso8601' 'python-oslo-utils' 'python2-oslo-utils' 'python-oslo-i18n'
+             'python2-oslo-i18n' 'python-oslo-serialization' 'python2-oslo-serialization')
+checkdepends=('python-oslotest' 'python2-oslotest' 'python-requests-mock' 'python2-requests-mock'
+              'python-ddt' 'python2-ddt')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/python-novaclient/archive/$pkgver.tar.gz")
+sha512sums=('9f78ef9ceab28a8b7eba85996ef203e5431d881bcb5e7ce1ca07a378fb2fa24f07164843495f0109677256e220480ca698b9dba8a37ab0ada6d93b0107d8a5ef')
+
+export PBR_VERSION=$pkgver
+
+prepare() {
+  sed -i '/simplejson/d' python-novaclient-$pkgver/requirements.txt
+  cp -a python-novaclient-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/python-novaclient-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/python-novaclient-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/python-novaclient-$pkgver
+  stestr run || warning "Tests failed"
+
+  cd "$srcdir"/python-novaclient-$pkgver-py2
+  PYTHON=python2 stestr2 run || warning "Tests failed"
+}
+
+package_python-novaclient() {
+  depends=('python-six' 'python-pbr' 'python-babel' 'python-prettytable' 'python-keystoneauth1'
+           'python-requests' 'python-iso8601' 'python-oslo-utils' 'python-oslo-i18n'
+           'python-oslo-serialization')
+
+  cd "$srcdir"/python-novaclient-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-novaclient() {
+  depends=('python2-six' 'python2-pbr' 'python2-babel' 'python2-prettytable' 'python2-keystoneauth1'
+           'python2-requests' 'python2-iso8601' 'python2-oslo-utils' 'python2-oslo-i18n'
+           'python2-oslo-serialization')
+
+  cd "$srcdir"/python-novaclient-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  mv "$pkgdir"/usr/bin/nova{,2}
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list